[arch-commits] Commit in polkit-qt/trunk (PKGBUILD link.patch)
Pierre Schmitz
pierre at archlinux.org
Wed Aug 5 19:22:18 UTC 2009
Date: Wednesday, August 5, 2009 @ 15:22:17
Author: pierre
Revision: 49277
fix FS#15814
Added:
polkit-qt/trunk/link.patch
Modified:
polkit-qt/trunk/PKGBUILD
------------+
PKGBUILD | 16 +++++++++++-----
link.patch | 11 +++++++++++
2 files changed, 22 insertions(+), 5 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-08-05 17:20:12 UTC (rev 49276)
+++ PKGBUILD 2009-08-05 19:22:17 UTC (rev 49277)
@@ -3,23 +3,29 @@
pkgname=polkit-qt
pkgver=0.9.2
-pkgrel=1
+pkgrel=2
pkgdesc='A library that allows developers to access PolicyKit API with a nice Qt-style API'
arch=('i686' 'x86_64')
url='http://www.kde.org'
license=('LGPL')
depends=('policykit' 'qt')
makedepends=('cmake')
-source=("http://download.kde.org/stable/apps/KDE4.x/admin/${pkgname}-${pkgver}.tar.bz2")
-md5sums=('14cb821f8917c13ed4154a3ab8e596be')
+source=("http://download.kde.org/stable/apps/KDE4.x/admin/${pkgname}-${pkgver}.tar.bz2"
+ 'link.patch')
+md5sums=('14cb821f8917c13ed4154a3ab8e596be'
+ '850a0ed23a86d048b35b288fdef3aae2')
build() {
- cd $srcdir
+ cd $srcdir/${pkgname}-${pkgver}
+ patch -p1 -i $srcdir/link.patch || return 1
+ cd ..
mkdir build
cd build
cmake ../${pkgname}-${pkgver} \
-DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_INSTALL_PREFIX=/usr
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_SKIP_RPATH=ON \
+ -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed'
make
make DESTDIR=$pkgdir install
}
Added: link.patch
===================================================================
--- link.patch (rev 0)
+++ link.patch 2009-08-05 19:22:17 UTC (rev 49277)
@@ -0,0 +1,11 @@
+diff -Nura polkit-qt-0.9.2/CMakeLists.txt polkit-qt-0.9.2.new/CMakeLists.txt
+--- polkit-qt-0.9.2/CMakeLists.txt 2009-04-08 18:05:44.000000000 +0200
++++ polkit-qt-0.9.2.new/CMakeLists.txt 2009-08-05 21:17:49.000000000 +0200
+@@ -57,6 +57,7 @@
+ )
+
+ target_link_libraries(polkit-qt-gui
++ polkit-qt-core
+ ${POLKITDBUS_LIBRARIES}
+ ${POLKITGRANT_LIBRARIES}
+ ${QT_QTCORE_LIBRARY}
More information about the arch-commits
mailing list